<?php

namespace App\Enums;

enum PermissionType: int
{
    case Menu = 1;
    case Button = 2;
    case Api = 3;

    public function label(): string
    {
        return match ($this) {
            self::Menu => '菜单',
            self::Button => '按钮',
            self::Api => '接口',
        };
    }
}
